%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		rh-rhui-tools
Version:	0.50
Release:	1%{?dist}
Summary:	Tools for configuring the Red Hat Update Infrastructure

Group:		Applications/Internet
License:	GPLv2
URL:		http://redhat.com
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python-setuptools
Requires:	python >= 2.4
Requires:       PyYAML
Requires:       rpm-build


%description
Tools necessary to generate configuration files and RPMs for the Red Hat Update Infrastructure.


%prep
%setup -q -n rh-rhui-tools-%{version}


%build
pushd src
%{__python} setup.py build
popd


%install
rm -rf $RPM_BUILD_ROOT

pushd src
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

rm -f $RPM_BUILD_ROOT%{python_sitelib}/rhui*egg-info/requires.txt

mkdir -p $RPM_BUILD_ROOT/etc/rhui
cp $RPM_BUILD_DIR/%{name}-%{version}/etc/rhui/* $RPM_BUILD_ROOT/etc/rhui


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/rhui/*
%{python_sitelib}/rhui_tools*.egg-info
%{_bindir}/rhui-tools
%config /etc/rhui/cds_ssl.conf
%config /etc/rhui/rhui-lb-ssl.conf
%config /etc/rhui/hosted-ca.crt
%config /etc/rhui/rh-cds-config.spec
%config /etc/rhui/rh-client-config.spec
%config /etc/rhui/rh-cloud-firstboot
%config /etc/rhui/rh-cloud-firstboot-service
%config /etc/rhui/rh-hosted.repo
%config /etc/rhui/rh-rhua-config.spec
%config /etc/rhui/rh-rhui-lb-config.spec
%config /etc/rhui/RPM-GPG-KEY-redhat-auxiliary
%config /etc/rhui/RPM-GPG-KEY-redhat-release



%changelog
* Fri Aug 13 2010 Jay Dobies <jason.dobies@redhat.com> 0.50-1
- Updated monitor to test the load balancer. Updated tools to require the load
  balancer DNS entry. (jason.dobies@redhat.com)

* Thu Aug 12 2010 Jay Dobies <jason.dobies@redhat.com> 0.49-1
- Removed all traces of the load balancer from the RHUA config RPM. If you
  choose the embedded load balancer, you get two config RPMs (RHUA and Load
  Balancer). (jason.dobies@redhat.com)

* Thu Aug 12 2010 Jay Dobies <jason.dobies@redhat.com> 0.48-1
- Added reference to new lb rpm spec file (jason.dobies@redhat.com)

* Thu Aug 12 2010 Jay Dobies <jason.dobies@redhat.com> 0.47-1
- Refactored load balancer configuration in tools to be able to create an RPM
  to configure an external load balancer (i.e. not embedded in the RHUA).
  Updated the RHUA code to check to see if the embedded load balancer should be
  started/stopped. (jason.dobies@redhat.com)
- Fixed typo (jason.dobies@redhat.com)

* Wed Aug 11 2010 Jay Dobies <jason.dobies@redhat.com> 0.46-1
- Last few changes to the RHUA spec to let it run as the load balancer.
  (jason.dobies@redhat.com)

* Wed Aug 11 2010 Jay Dobies <jason.dobies@redhat.com> 0.45-1
- Added SSL configuration to the load balancer (RHUA in this case).
  (jason.dobies@redhat.com)
- Fixed wording to reflect presence of load balancer. (jason.dobies@redhat.com)
- Fixed incorrect key name (jason.dobies@redhat.com)

* Wed Aug 11 2010 Jay Dobies <jason.dobies@redhat.com> 0.44-1
- Forgot to add new conf file to RPM. (jason.dobies@redhat.com)

* Wed Aug 11 2010 Jay Dobies <jason.dobies@redhat.com> 0.43-1
- Additions to RHUI tools to add configuration for the RHUA as a load balancer.
  (jason.dobies@redhat.com)

* Fri Aug 06 2010 Jay Dobies <jason.dobies@redhat.com> 0.42-1
- Filled out the repos for hosted with real data to connect to hosted CDS.
  (jason.dobies@redhat.com)

* Tue Aug 03 2010 Jay Dobies <jason.dobies@redhat.com> 0.41-1
- Needed to move apostrophe now that there is only one certificate.
  (jason.dobies@redhat.com)

* Tue Aug 03 2010 Jay Dobies <jason.dobies@redhat.com> 0.40-1
- Removed the multiple entitlement cert requests from tools. RHUA/Tools now
  expects to deal with a single cert for all channels for monitoring. This is
  more consistent with how tools generates the certs; in the future we can
  revisit this if tools is to generate multiple certs.
  (jason.dobies@redhat.com)

* Mon Aug 02 2010 Jay Dobies <jason.dobies@redhat.com> 0.39-1
- Changed example to indicate https (jason.dobies@redhat.com)

* Mon Aug 02 2010 Jay Dobies <jason.dobies@redhat.com> 0.38-1
- Changed verbiage of proxy server input to indicate to specify the protocol.
  (jason.dobies@redhat.com)

* Fri Jul 30 2010 Jay Dobies <jason.dobies@redhat.com> 0.37-1
- Typo. (jason.dobies@redhat.com)

* Fri Jul 30 2010 Jay Dobies <jason.dobies@redhat.com> 0.36-1
- Added proxy support for package sync (jason.dobies@redhat.com)

* Thu Jul 29 2010 Jay Dobies <jason.dobies@redhat.com> 0.35-1
- Triggering a rebuild because brew doesn't seem to have transferred it to RDU

* Thu Jul 29 2010 Jay Dobies <jason.dobies@redhat.com> 0.34-1
- Removed passphrase option from entitlement cert generation. The client
  private key shouldn't have a password otherwise the user will constantly be
  prompted for it (so will the RHUA monitoring). (jason.dobies@redhat.com)

* Thu Jul 29 2010 Jay Dobies <jason.dobies@redhat.com> 0.33-1
- Updated the text used in the interactive prompts to better describe the CA
  certs being requested. (jason.dobies@redhat.com)

* Wed Jul 28 2010 Jay Dobies <jason.dobies@redhat.com> 0.32-1
- Added full certificate for hosted CDS. (jason.dobies@redhat.com)

* Wed Jul 28 2010 Jay Dobies <jason.dobies@redhat.com> 0.31-1
- Accidentally used a $ instead of a %. Ugh. (jason.dobies@redhat.com)

* Wed Jul 28 2010 Jay Dobies <jason.dobies@redhat.com> 0.30-1
- Changed RHUI to use hosted CDS instead of RHN. Changes include RHUA changes
  to use yum instead of RHN sync and to the tools to package the appropriate
  certs needed for the connection. (jason.dobies@redhat.com)

* Tue Jul 27 2010 Jay Dobies <jason.dobies@redhat.com> 0.29-1
- 618559 - Need to escape the $ in variables when writing out the temporary
  extensions file. (jason.dobies@redhat.com)

* Mon Jul 26 2010 Jay Dobies <jason.dobies@redhat.com> 0.28-1
- Updated the mirror list URLs on the RHUA to match what will be in the content
  certificates. (jason.dobies@redhat.com)
- Updated the RHUI tools client config to generate one repo for each product in
  the entitlement certificate. (jason.dobies@redhat.com)

* Mon Jul 26 2010 Jay Dobies <jason.dobies@redhat.com> 0.27-1
- Forgot to add the file to the RHUI tools spec too (jason.dobies@redhat.com)

* Mon Jul 26 2010 Jay Dobies <jason.dobies@redhat.com> 0.26-1
- 617014 - Fixed broken firstboot service (jason.dobies@redhat.com)

* Fri Jul 16 2010 Jay Dobies <jason.dobies@redhat.com> 0.25-1
- Removed the hosted CDS cert, key, and repo from the CDS. It won't be making
  external connections. (jason.dobies@redhat.com)
- Added CLI option to override config dir so it can run off the ISO.
  (jason.dobies@redhat.com)

* Fri Jul 16 2010 Jay Dobies <jason.dobies@redhat.com> 0.24-1
- The RHEL 5 version of m2crypto doesn't have the save method, so write out the
  PEM explicitly. (jason.dobies@redhat.com)

* Fri Jul 16 2010 Jay Dobies <jason.dobies@redhat.com> 0.23-1
- Fixed monitoring to use the new style channel URLs (jason.dobies@redhat.com)

* Thu Jul 15 2010 Jay Dobies <jason.dobies@redhat.com> 0.22-1
- Added hooks to mod_python authentication handler (jason.dobies@redhat.com)
- Need to declare where the packages are. (jason.dobies@redhat.com)

* Thu Jul 15 2010 Jay Dobies <jason.dobies@redhat.com> 0.21-1
- Fixed spec file for new additions (jason.dobies@redhat.com)

* Thu Jul 15 2010 Jay Dobies <jason.dobies@redhat.com> 0.20-1
- Including the hosted CDS repo file in the RHUA and CDS config RPMs.
  (jason.dobies@redhat.com)
- Moved content cert (jason.dobies@redhat.com)
- Flushed out content certificate/private key values from the user. Added these
  to the CDS so it can access the hosted CDS. (jason.dobies@redhat.com)
- Removed yum_ssl.conf which is replaced by the dynamic SSL verification
  provided by the rh-cds RPM. Started to add the hosted CDS repo files to the
  CDS configuration RPM. (jason.dobies@redhat.com)
- Minor change for consistency (jason.dobies@redhat.com)
- Write the private key out to disk (jason.dobies@redhat.com)
- Initial implementation of the content cert -> entitlement cert conversion
  tool. (jason.dobies@redhat.com)
- Spacing correction (jason.dobies@redhat.com)
- Spacing and output correction. (jason.dobies@redhat.com)
- Spacing correction (jason.dobies@redhat.com)
- Incorrect firstboot name (jason.dobies@redhat.com)
- Renamed nimbus to rhui (jason.dobies@redhat.com)

* Thu Jul 08 2010 Jay Dobies <jason.dobies@redhat.com> 0.19-1
- Removed .py extension (jason.dobies@redhat.com)

* Thu Jul 08 2010 Jay Dobies <jason.dobies@redhat.com> 0.18-1
- Another try to properly clean up the python files (jason.dobies@redhat.com)

* Thu Jul 08 2010 Jay Dobies <jason.dobies@redhat.com> 0.17-1
- Added to the wrong section (jason.dobies@redhat.com)
- Clean up artifacts from firstboot being built (jason.dobies@redhat.com)

* Thu Jul 08 2010 Jay Dobies <jason.dobies@redhat.com> 0.16-1
- Forgot to add the firstboot script to the tools RPM (jason.dobies@redhat.com)

* Thu Jul 08 2010 Jay Dobies <jason.dobies@redhat.com> 0.15-1
- Added RHN plugin disabling and first boot script for installing GPG keys to
  client configuration RPMs (jason.dobies@redhat.com)

* Wed Jul 07 2010 Jay Dobies <jason.dobies@redhat.com> 0.14-1
- Additions to nimbus tools to request required monitoring information.
  (jason.dobies@redhat.com)

* Tue Jul 06 2010 Jay Dobies <jason.dobies@redhat.com> 0.13-1
- Moved client entitlement certificate to /etc/pki/entitlement/product
  (jason.dobies@redhat.com)

* Fri Jul 02 2010 Jay Dobies <jason.dobies@redhat.com> 0.12-1
- Mirror list is served over http, not https (jason.dobies@redhat.com)
- Fixed unit tests (jason.dobies@redhat.com)

* Fri Jul 02 2010 Jay Dobies <jason.dobies@redhat.com> 0.11-1
- Log the rpmbuild command for easier debugging. (jason.dobies@redhat.com)

* Fri Jul 02 2010 Jay Dobies <jason.dobies@redhat.com> 0.10-1
- Make sure to log rpmbuild output from stderr to the log file. Return the exit
  code so the CLI can better inform the user of what was created.
  (jason.dobies@redhat.com)
- Make sure at least one CDS is specified. (jason.dobies@redhat.com)

* Fri Jul 02 2010 Jay Dobies <jason.dobies@redhat.com> 0.9-1
- Fix to install line (jason.dobies@redhat.com)
- Added RHUI tools configuration files to the spec (jason.dobies@redhat.com)

* Fri Jul 02 2010 Jay Dobies <jason.dobies@redhat.com> 0.8-1
- The RHUA configuration now asks for where on the CDS to synchronize packages
  to. (jason.dobies@redhat.com)
- Need a %post command to change the permissions of the SSH key.
  (jason.dobies@redhat.com)
- Fixed bug where the SSH key wasn't being referenced in the config.yml file.
  (jason.dobies@redhat.com)

* Thu Jul 01 2010 Jay Dobies <jason.dobies@redhat.com> 0.7-1
- Need to manually create these on older rpmbuild (jason.dobies@redhat.com)

* Thu Jul 01 2010 Jay Dobies <jason.dobies@redhat.com> 0.6-1
- Added rpm-build as a dependency of rhui tools. (jason.dobies@redhat.com)
- Added option to disable automatic CDS configuration.
  (jason.dobies@redhat.com)

* Wed Jun 30 2010 Jay Dobies <jason.dobies@redhat.com> 0.5-1
- More spec fixes (jason.dobies@redhat.com)

* Wed Jun 30 2010 Jay Dobies <jason.dobies@redhat.com> 0.4-1
- Fixed typo in setup.py command (jason.dobies@redhat.com)

* Wed Jun 30 2010 Jay Dobies <jason.dobies@redhat.com> 0.3-1
- Fixed for location of setup.py (jason.dobies@redhat.com)

* Wed Jun 30 2010 Jay Dobies <jason.dobies@redhat.com> 0.2-1
- new package built with tito

